wizards-1.0.2: High level, generic library for interrogative user interfaces

Safe Haskell | Trustworthy
Language | Haskell98

System.Console.Wizard.BasicIO

Synopsis

- data BasicIO a
- basicIO :: Wizard BasicIO a -> Wizard BasicIO a

# Documentation

data BasicIO a Source

The `BasicIO` backend supports only simple input and output. Support for `Password` and `LinePrewritten` features can be added with a shim from `Shim`.

Instances

Functor BasicIO Source |
Run IO BasicIO Source |
ArbitraryIO :<: BasicIO Source |
Character :<: BasicIO Source |
Line :<: BasicIO Source |
OutputLn :<: BasicIO Source |
Output :<: BasicIO Source |

basicIO :: Wizard BasicIO a -> Wizard BasicIO a Source

A simple identity function, used to restrict types if the type inferred by GHC is too general. You could achieve the same effect with a type signature, but this is slightly less typing.